# Fog

Ce rôle permet **l'installation** et la **configuration** de **Fog**.

**Fog** est une solution open-source de gestion de parc informatique. Il offre des fonctionnalités telles que la **création d'images système**, le **déploiement d'images sur plusieurs machines** et la **gestion des postes de travail** grâce à **PXE**.

**PXE** (Preboot eXecution Environment) est un protocole qui permet à un hôte de démarrer via le réseau, plutôt que depuis son disque dur local. Cela facilite le déploiement d'images système à distance.
 
Dans le contexte de GSB, Fog avec PXE,assure le service **DHCP**.

Ainsi, Fog simplifie le processus de création  d'images et du déployement de postes en gérant à la fois le démarrage réseau (PXE) et la configuration réseau (DHCP).

## Comment l'installer et le configurer ?

### Prérequis:

Avoir téléchanger l'OVA "debian-bullseye-gsb-2024b.ova".

### Etape 1:

Lancez le PlayBook Ansible de "pré-installation" nommé **s-fog.yml**.

Il installe la base de **Fog** , l'outil **Goss** , **SSH** et l'agent **SSH**.

Il faudrat ensuite lancez le PlayBook **s-fog-post.yml** qui installe les paquets de base comme **Apache2** , **MariaDb client et serveur** ... (Voir en détail le PlayBook). 

Enfin ce PlayBook permet aussi de récupérer l'archive d'installation de Fog depuis le serveur **s-adm** (grâce au PlayBook **main.yml** dans **roles/default/**), puis décompresse cette archive et l'exécute.

Redémarrer le serveur pour que les interfaces puissent avoir les bonnes adresses IP.

### Etape 2:

Cette deuxième étape s'effectuera manuellement en entrant la commande **bash /root/tmp/fogproject-1.5.10.1634/bin/installfog.sh --recreate-keys**
Il faudra donc répondre aux questions posé durant l'installation(Voir **role/fog/files/foginstallsettings**)

### Etape 3:

Pour la suite il faudre se rendre sur l'interface en ligne de Fog avec l'URL suivant : **http://172.16.64.16/fog/management/** à partir d'un poste étant dans le bon réseau (**n-user**) et suivre les consignes indiquées (Installation ou mise à jour de la base de données) et vous pourrez ainsi vous y connecter et commencer à l'utiliser.

### Etape 4:

Nous allons ensuite voir la capture et le déploiement d'images.





### Etape supplémentaire:

Vous pouvez tester que la configuration est correcte avec Goss (commande : **./agoss -f tap** ) à partir du répertoire **gsb2024**.
