## Le rôle GLPI

Le playbook automatise l'installation de l'application GLPI en installant les paquets requis (**nginx, mariadb-server, paquets php dont php8.2-fpm**), en crééant une base de données glpi et en mettant à disposition l'agent GLPI pour les machines Windows.

## L'utilisation de GLPI 

Une fois le playbook exécuté, il est **nécessaire** d'exécuter les commandes suivantes pour pouvoir avoir accès à GLPI: 
`
chown -R www-data:www-data /var/www/html/glpi/files
chown -R www-data:www-data /var/www/html/glpi/config
`  
Toute tentative d'inclure ces changements/commandes dans le playbook Ansible a échoué.
Après le lancement du playbook **s-itil.yml**, depuis une machine du réseau **n-user**, se connecter avec un navigateur à l'URL suivant : http://s-itil.gsb.lan  
  
## GLPI et Postfix :

Postfix est utilisé pour envoyer des messages pour assurer le suivi des tickets. 
  
Dans **Configuration > Notification**, activez le suivi et les notifications.   
Dans Configuration des notifications par courriels :  
Indiquez l'adresse mail de supervision dans : Courriel de l'administrateur, Courriel expéditeur et comme adresse de réponse.
Le mode d'envoi des courriels est **SMTP**. 
L'hôte SMTP est **localhost**.

## Inventorier une machine Windows sur le serveur GLPI avec l'agent GLPI

Actuellement la version de l'agent GLPI disponible sur le serveur est la version 1.11.
 * Téléchargez l'agent depuis le serveur GLPI : **http://s-itil/glpicli**
 * Installez l'agent : sélectionnez l'option "Typical" et entrez l'URL du serveur dans "Remote Targets" : *http://s-itil/*
 * Se rendre sur **localhost:62354** pour forcer la remontée d'inventaire.
 * Activer l'inventaire dans GLPI en allant dans _Administration > Inventaire_
 * Descendre en bas jusqu'à voir les options pour la virtualisation, cocher les deux cases en plus.
 * Sauvegarder les changements effectués.

Note: si la machine ne remonte pas après avoir forcé depuis l'interface web, il est possible de rédémarrer le service **glpi-agent**.
 * Actualisez GLPI et la machine sera inventoriée

## Liaison GLPI annuaire MS-AD sur s-win

Le serveur DNS de **s-win** doit connaître - au sens DNS - la machine **s-itil** : il faudra donc créer des enregistrements DNS correspondants "A" et "PTR" sur **S-win**. 

### Sur le serveur **s-win**:
  * Ajoutez les enregistrement "A" et "PTR" sur le DNS de l'Active Directory:

**Gestionnaire de serveur** --> **Gestionnaire DNS** --> **Zones Recherches Directes** --> **gsb.lan** --> **Ajouter un hôte (A)**:
   * s-infra         172.16.0.1
   * s-win           172.16.0.6
   * s-itil          172.16.0.9
   * r-int           172.16.0.254

Cochez la case **Créer un pointeur d'enregistrement PTR associé**   


### Configuration LDAP sur GLPI :
  
Dans Configuration > Authentification > Annuaires LDAP.
   
Ajoutez un serveur en cliquant sur **+** 

Renseignez les champs suivants comme tel :   
* Nom : **s-win**  
* Serveur par défaut : **oui**
* Actif : **oui**  
* Serveur : **s-win.gsb.lan**  
* Filtre de connexion : (&(objectClass=user)(objectCategory=person)(!(userAccountControl:1.2.840.113556.1.4.803:=2)))  
* BaseDN : **DC=gsb,DC=lan**  
* DN du compte : **GSB\Administrateur**  
* Mot de passe : **Azerty1+**  
* Champ de l'identifiant : **samaccountname**  
  
Pour importer les utilisateurs allez dans **Administration > Utilisateur > Liaison annuaire LDAP > Importation de nouveau utilisateurs**
Appuyer sur rechercher  
Puis sélectionner les utilisateurs affichés, allez dans action et sélectionnez importer. 
Une fois cela fait, il est possible de se connecter à GLPI avec les comptes présents dans l'annuaire LDAP de la machine **s-win.**

## Rejoindre le domaine gsb.lan depuis un client Windows : 
 
Afin d'adhérer au domaine **gsb.lan**, il est nécessaire d'ajouter comme serveur DNS sur la machine cliente le serveur DNS de l'Active Directory **s-win.gsb.lan**.
Il faut s'assurer qu'auparavant la machine cliente dispose d'une passerelle qui lui permet de joindre le réseau *172.16.0.0/24*, sinon il sera impossible de rejoindre le domaine.

Nous utiliserons, pour nous connecter à l'Active Directory, l'utilisateur **Administrateur**:

* **Login**: **Administrateur@gsb.lan**
* **Mot de passe**: **Azerty1+** 

## Les modification à apporter pour une prochaine version de GLPI :
Afin de pouvoir utiliser le playbook avec les prochaines versions de GLPI, il faudra : 
 * Changer la version de GLPI
 * Changer la version de PHP 
 * Changer la version de GLPI Agent
Ces informations sont dans le fichier **roles/glpi/default/main.yml**

 *Modification effectué par : jm - ak - ge*


 

